--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...
function NS:LoadSettingsDecursive()
	local FauxMazzle = {
		["global"] = {
			["NoStartMessages"] = true,
		},
		["class"] = {
			["DEATHKNIGHT"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["DEMONHUNTER"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["WARRIOR"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["PALADIN"] = {
				["CureOrder"] = {
					1, -- [1]
					-14, -- [2]
					nil, -- [3]
					-15, -- [4]
					[8] = 2,
					[16] = 3,
					[32] = -16,
				},
			},
			["MONK"] = {
				["CureOrder"] = {
					1, -- [1]
					-14, -- [2]
					nil, -- [3]
					-15, -- [4]
					[8] = 2,
					[16] = 3,
					[32] = -16,
				},
			},
			["MAGE"] = {
				["CureOrder"] = {
					-14, -- [1]
					-13, -- [2]
					nil, -- [3]
					1, -- [4]
					[8] = -15,
					[16] = -16,
					[32] = 2,
				},
			},
			["PRIEST"] = {
				["CureOrder"] = {
					[8] = -15,
					[16] = 3,
					[32] = -16,
					[4] = -14,
				},
			},
			["WARLOCK"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["HUNTER"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["DRUID"] = {
				["CureOrder"] = {
					-15, -- [1]
					-14, -- [2]
					nil, -- [3]
					1, -- [4]
					[8] = 2,
					[16] = -16,
					[32] = 3,
				},
			},
			["ROGUE"] = {
				["CureOrder"] = {
					-12, -- [1]
					-11, -- [2]
					nil, -- [3]
					-13, -- [4]
					[8] = -14,
					[16] = -15,
					[32] = -16,
				},
			},
			["SHAMAN"] = {
				["CureOrder"] = {
					-16, -- [1]
					1, -- [2]
					[8] = -14,
					[16] = -15,
					[32] = 3,
				},
			},
		},
		["profiles"] = {
			["FauxMazzle"] = {
				["MainBarY"] = -445,
				["MainBarX"] = 1118,
				["DebuffsFrameContainer_y"] = 230,
				["DebuffsFrameContainer_x"] = 1118,
				["MiniMapIcon"] = {
					["minimapPos"] = 260,
					["radius"] = 80,
				},
				["Hidden"] = true,
				["PreviousMacroKeyAction"] = false,
				["HideMUFsHandle"] = true,
				["MacroBind"] = "^",
				["Print_Error"] = false,
				["DebuffsFrameGrowToTop"] = true,
				["DebuffsFrameShowHelp"] = false,
				["AfflictionTooltips"] = false,
			},
			["HideSolo"] = {
				["MainBarY"] = -445,
				["MainBarX"] = 1118,
				["DebuffsFrameContainer_y"] = 230,
				["DebuffsFrameContainer_x"] = 1118,
				["MiniMapIcon"] = {
					["minimapPos"] = 260,
					["radius"] = 80,
				},
				["AutoHideMUFs"] = 2,
				["PreviousMacroKeyAction"] = false,
				["MacroBind"] = "^",
				["DebuffsFrameGrowToTop"] = true,
			},
			["HideParty"] = {
				["MainBarY"] = -445,
				["MainBarX"] = 1118,
				["DebuffsFrameContainer_y"] = 230,
				["DebuffsFrameContainer_x"] = 1118,
				["MiniMapIcon"] = {
					["minimapPos"] = 260,
					["radius"] = 80,
				},
				["AutoHideMUFs"] = 3,
				["PreviousMacroKeyAction"] = false,
				["MacroBind"] = "^",
				["DebuffsFrameGrowToTop"] = true,
			},
		},
	}
	return FauxMazzle
end
